/*****************************************************************************
 *                        Web3d.org Copyright (c) 2001
 *                               Java Source
 *
 * This source is licensed under the GNU LGPL v2.1
 * Please read http://www.gnu.org/copyleft/lgpl.html for more information
 *
 * This software comes with the standard NO WARRANTY disclaimer for any
 * purpose. Use it at your own risk. If there's a problem you get to fix it.
 *
 ****************************************************************************/

package org.j3d.aviatrix3d;

// External imports
import javax.vecmath.Matrix4f;

// Local imports
// None

/**
 * Class for passing the detailed rendering information through the pipeline.
 * <p>
 *
 * @author Justin Couch
 * @version $Revision: 1.2 $
 */
public class CullOutputDetails
{
    /** The lead node instance to be rendered. Will be either Shape or Light */
    public Leaf renderable;

    /** The transform from the root of the scene graph to here */
    public Matrix4f transform;

    /** Array of lights that effect this node. If none, it may be null */
    public LightDetails[] lights;

    /** Number of valid lights in the array */
    public int numLights;

    /**
     * Construct a default instance with just the transform initialised
     */
    public CullOutputDetails()
    {
        transform = new Matrix4f();
    }
}